Index: c/src/tests/psxtests/psxhdrs/signal20.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal20.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
+++ c/src/tests/psxtests/psxhdrs/signal20.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
@@ -0,0 +1,26 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  unsigned int seconds;
+  unsigned int result;
+
+  seconds = 10;
+
+  result = alarm( seconds );
+}
Index: c/src/tests/psxtests/psxhdrs/signal21.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal21.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
+++ c/src/tests/psxtests/psxhdrs/signal21.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
@@ -0,0 +1,23 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  int result;
+
+  result = pause();
+}
Index: c/src/tests/psxtests/psxhdrs/signal22.c
===================================================================
--- c/src/tests/psxtests/psxhdrs/signal22.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
+++ c/src/tests/psxtests/psxhdrs/signal22.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
@@ -0,0 +1,26 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  unsigned int seconds;
+  unsigned int result;
+
+  seconds = 10;
+
+  result = sleep( seconds );
+}
Index: testsuites/psxtests/psxhdrs/signal20.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal20.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
+++ testsuites/psxtests/psxhdrs/signal20.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
@@ -0,0 +1,26 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  unsigned int seconds;
+  unsigned int result;
+
+  seconds = 10;
+
+  result = alarm( seconds );
+}
Index: testsuites/psxtests/psxhdrs/signal21.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal21.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
+++ testsuites/psxtests/psxhdrs/signal21.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
@@ -0,0 +1,23 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  int result;
+
+  result = pause();
+}
Index: testsuites/psxtests/psxhdrs/signal22.c
===================================================================
--- testsuites/psxtests/psxhdrs/signal22.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
+++ testsuites/psxtests/psxhdrs/signal22.c	(revision 1b297b4af21a9d53d625c9f4ad6b9610056f1228)
@@ -0,0 +1,26 @@
+/*
+ *  This test file is used to verify that the header files associated with
+ *  the callout are correct.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <signal.h>
+ 
+void test( void )
+{
+  unsigned int seconds;
+  unsigned int result;
+
+  seconds = 10;
+
+  result = sleep( seconds );
+}
